MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
sc::FileOperationFailed Class Reference

This is thrown when an operation on a file fails. More...

`#include <scexception.h>`

Inheritance diagram for sc::FileOperationFailed:
[legend]
Collaboration diagram for sc::FileOperationFailed:
[legend]

## Public Types
enum | FileOperation { Unknown, OpenR, OpenW, OpenRW, Close, Read, Write, Corrupt, Other }

## Public Member Functions
| FileOperationFailed (const char *description=0, const char *source_file=0, int line=0, const char *filename=0, FileOperation operation=Unknown, const ClassDesc *class_desc=0, const char *exception_type="FileOperationFailed") throw ()
| FileOperationFailed (const FileOperationFailed &) throw ()
const char * | filename () const throw ()
| Returns the file name of the file that caused the error, if known. More...
FileOperation | operation () const throw ()
Public Member Functions inherited from sc::SystemException
| SystemException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SystemException") throw ()
| SystemException (const SystemException &) throw ()
Public Member Functions inherited from sc::SCException
| SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SCException") throw ()
| SCException (const SCException &) throw ()
const char * | what () const throw ()
| Reimplementation of std::exception::what(). More...
const char * | description () const throw ()
const char * | file () const throw ()
int | line () const throw ()
const ClassDesc * | class_desc () const throw ()
const char * | exception_type () const throw ()
std::ostream & | elaborate ()
| Returns a stream where addition information about the exception can be written. More...

## Detailed Description

This is thrown when an operation on a file fails.

## Member Function Documentation

const char* sc::FileOperationFailed::filename | ( |  | ) | const throw ()
| inline

Returns the file name of the file that caused the error, if known.

Otherwise 0 is returned.

The documentation for this class was generated from the following file:

- scexception.h